package com.boman.web.core.service.save;


import com.boman.gen.domain.GenTableColumn;
import com.boman.web.core.domain.MainTableRecord;
import com.boman.web.core.domain.RowResult;

import java.util.List;

/**
 * @author shiqian
 * @description
 * @date 2021年03月22日 11:25
 **/
public interface IBaseSaveService {


    /**
     * 功能描述: 保存一行
     *
     * @param tableName tableName
     * @param pkName    主键名称
     * @param maxId     最大的SEQ
     * @param row       要保存的数据
     * @param columns   这是此表的所有字段属性名称，用来判断是否所有UPDATE_BY和UPDATE_TIME，和时间类型
     * @return com.boman.system.common.RowResult
     */
    RowResult insertRow(String tableName, String pkName, Long maxId, MainTableRecord row, List<GenTableColumn> columns);

}
